import pandas as pd

def inserInto (tt, rr, binaryP_macc, calif, fpo, oo, binaryO_macc):

    Diccionario_Datos1 = {}

   # Proyectos con asignacion
    if bool(binaryP_macc):    
        Datagen = pd.Series(binaryP_macc).rename_axis(['nombre','periodo']).reset_index(name='aprobado')        
        Datagen1 = pd.Series(calif).rename_axis(['nombre']).reset_index(name='calificacion')        
        Datagen3 = Datagen.merge(Datagen1,on=['nombre'])
        
        Filtro = [x for x in rr]

        salidas_macc = Datagen3.loc[Datagen['nombre'].isin(Filtro)].copy()

        Diccionario_Datos1['salidas_macc'] = salidas_macc

    for i in Diccionario_Datos1.keys():
        dataT = Diccionario_Datos1[i].copy()
        dataT = dataT.reset_index(drop = False)
        if 'index' in list(dataT.columns):
            dataT.drop('index', axis = 1, inplace = True) 
            Diccionario_Datos1[i] = dataT.copy()        
    
    return(Diccionario_Datos1)
    
